org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel

## Class DataServiceMvelReturnValueEvaluatorBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder
  - - org.jbpm.process.builder.dialect.mvel.MVELReturnValueEvaluatorBuilder
    - - org.jbpm.kie.services.impl.bpmn2.builder.dialect.mvel.DataServiceMvelReturnValueEvaluatorBuilder

- All Implemented Interfaces:
    DataServiceExpressionBuilder, ReturnValueEvaluatorBuilder

      public class DataServiceMvelReturnValueEvaluatorBuilder
      extends MVELReturnValueEvaluatorBuilder
      implements DataServiceExpressionBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceMvelReturnValueEvaluatorBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver)`
    `ProcessDescRepoHelper` | `getProcessHelperForThread()`
    `void` | `setProcessHelperForThread(ProcessDescRepoHelper helper)`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.mvel.MVELReturnValueEvaluatorBuilder

      `buildReturnValueEvaluator`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder

      `delimitExpressions, getAnalysis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceMvelReturnValueEvaluatorBuilder

          public DataServiceMvelReturnValueEvaluatorBuilder()

  - ### Method Detail

    - #### setProcessHelperForThread

          public void setProcessHelperForThread(ProcessDescRepoHelper helper)

      Specified by:
        `setProcessHelperForThread` in interface `DataServiceExpressionBuilder`

    - #### getProcessHelperForThread

          public ProcessDescRepoHelper getProcessHelperForThread()

      Specified by:
        `getProcessHelperForThread` in interface `DataServiceExpressionBuilder`

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                   ReturnValueConstraintEvaluator constraintNode,
                   org.drools.compiler.compiler.ReturnValueDescr descr,
                   ContextResolver contextResolver)

      Specified by:
        `build` in interface `ReturnValueEvaluatorBuilder`
      Overrides:
        `build` in class `MVELReturnValueEvaluatorBuilder`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.